/* Copyright (c) 1990 by Sun Microsystems, Inc. */

#ifndef _VIDEOPICS_VFC_IOCTLS_H
#define	_VIDEOPICS_VFC_IOCTLS_H

#pragma ident	"@(#)vfc_ioctls.h	1.5 92/06/16  SMI"

	/* IOCTLs */
#define VFCIOC          ('j' << 8)
#define VFCGCTRL	(VFCIOC | 0)	/* get ctrl. attributes */
#define VFCSCTRL	(VFCIOC | 1)   	/* set ctrl. attr. */
#define VFCGVID		(VFCIOC | 2)   	/* get video decoder attr. */
#define VFCSVID		(VFCIOC | 3)   	/* set video decoder attr. */
#define VFCHUE		(VFCIOC | 4)   	/* change hue to that indicated */
#define VFCPORTCHG	(VFCIOC | 5)   	/* change i/p port to that indicated */
#define VFCRDINFO	(VFCIOC | 6)   	/* info necessary for reading */

	/* Options for the VFCSCTRL */
#define MEMPRST		0x1	/* reset FIFO ptr. */
#define CAPTRCMD	0x2	/* issue capture cmd. */
#define DIAGMODE	0x3	/* set board into diag mode */
#define NORMMODE	0x4	/* set board into normal mode */
#define CAPTRSTR	0x5	/* start asynchronous capture */
#define CAPTRWAIT	0x6	/* wait for asynchronous capture to finish */


	/* Options for the SVCSVID */
#define STD_NTSC	0x1	/* switch to NTSC std. */
#define STD_PAL		0x2	/* switch to PAL std. */
#define COLOR_ON	0x3	/* force color ON */
#define MONO		0x4	/* force color OFF */

	/* Values returned by VFCGVID */

#define NO_LOCK	        1
#define NTSC_COLOR	2
#define NTSC_NOCOLOR    3
#define PAL_COLOR	4
#define PAL_NOCOLOR	5


	/* Options for setting Field number */
#define ODD_FIELD	0x1
#define EVEN_FIELD	0x0
#define ACTIVE_ONLY     0x2
#define NON_ACTIVE	0x0

#endif /* !_VIDEOPICS_VFC_IOCTLS_H */
